# $Revision: 1.12 $, $Date: 2009/10/18 21:22:17 $
Summary:	IBM Courier font in Type1 format
Summary(pl.UTF-8):	Font IBM Courier w formacie Type1
Name:		xorg-font-font-ibm-type1
Version:	1.0.1
Release:	1
License:	distributable (see COPYING)
Group:		Fonts
Source0:	http://xorg.freedesktop.org/releases/individual/font/font-ibm-type1-%{version}.tar.bz2
# Source0-md5:	1646179ff224b3e2c9b1e7f59042897f
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	fontconfig
BuildRequires:	t1utils
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.1
BuildRequires:	xorg-util-util-macros >= 1.3
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Type1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IBM Courier font in Type1 format.

%description -l pl.UTF-8
Font IBM Courier w formacie Type1.

%prep
%setup -q -n font-ibm-type1-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--build=%{_host} \
	--host=%{_host} \
	--with-fontdir=%{_fontsdir}/Type1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# separate *.afm, convert *.pfa to .pfb
cd $RPM_BUILD_ROOT%{_fontsdir}/Type1
install -d afm
mv -f *.afm afm
for f in *.pfa ; do
	t1binary $f `basename $f .pfa`.pfb
	rm -f $f
done
sed -e '1d;s/\.pfa /.pfb /' fonts.scale > fonts.scale.ibm
rm -f fonts.scale fonts.dir fonts.cache-1

cat > Fontmap.ibm <<EOF
/Courier                                 (cour.pfb)     ;
/Courier-Bold                            (courb.pfb)    ;
/Courier-BoldItalic                      (courbi.pfb)   ;
/Courier-Italic                          (couri.pfb)    ;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_fontsdir}/Type1/*.pfb
%{_fontsdir}/Type1/afm/*.afm
%{_fontsdir}/Type1/fonts.scale.ibm
%{_fontsdir}/Type1/Fontmap.ibm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-font-font-ibm-type1.spec,v $
Revision 1.12  2009/10/18 21:22:17  qboosh
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

Revision 1.11  2009/10/12 19:08:31  arekm
- up to 1.0.1

Revision 1.10  2007/10/21 14:18:49  megabajt
- BA: noarch
- release 2

Revision 1.9  2007/04/01 18:51:53  qboosh
- informative descs
- create .Fontmap file
- release 1

Revision 1.8  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.6  2006/01/04 10:45:11  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.5  2005/12/05 15:28:04  qboosh
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

Revision 1.4  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.3  2005/08/27 18:42:17  qboosh
- cleanups, better Group; TODO: use PLD fonts infrastructure

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Tue Aug  9 2005 14:36:14  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
